require 'securerandom'

module PatchworkInternal
  class Link
    attr_reader :id, :node_start, :node_end
    attr_accessor :cost, :directed

    def initialize(node_a, node_b, directed, cost)
      @node_start = node_a
      @node_end = node_b
      @directed = directed
      @cost = cost
      @id = SecureRandom.uuid
    end

    def links_to(node)
      if @directed == true
        node == @node_end
      else
        node == @node_start || node == @node_end
      end
    end
  end
end
